| The Gaudi Framework v27r1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
IPublishSvc Class Referenceabstract

Definition of the IPublishSvc interface, which publishes variables to outside monitoring processes. More...

`#include <GaudiKernel/IPublishSvc.h>`

Inheritance diagram for IPublishSvc:
[legend]
Collaboration diagram for IPublishSvc:
[legend]

## Public Member Functions
| DeclareInterfaceID (IPublishSvc, 1, 0)
| InterfaceID. More...
virtual void | declarePubItem (const std::string &name, const bool &var)=0
| Declare publishing information. More...
virtual void | declarePubItem (const std::string &name, const int &var)=0
virtual void | declarePubItem (const std::string &name, const long &var)=0
virtual void | declarePubItem (const std::string &name, const double &var)=0
virtual void | declarePubItem (const std::string &name, const std::string &var)=0
virtual void | undeclarePubItem (const std::string &name)=0
| Undeclare publishing information. More...
virtual void | undeclarePubAll ()=0
| Undeclare all publishing information. More...
virtual void | updateItem (const std::string &name)=0
| Update pblishing information. More...
virtual void | updateAll ()=0
| Update all declared publishing items. More...
virtual | ~IPublishSvc ()=default
| Virtual destructor. More...
Public Member Functions inherited from IInterface
virtual void * | i_cast (const InterfaceID &) const =0
| main cast function More...
virtual std::vector< std::string > | getInterfaceNames () const =0
| Returns a vector of strings containing the names of all the implemented interfaces. More...
virtual unsigned long | addRef ()=0
| Increment the reference count of Interface instance. More...
virtual unsigned long | release ()=0
| Release Interface instance. More...
virtual unsigned long | refCount () const =0
| Current reference count. More...
virtual StatusCode | queryInterface (const InterfaceID &ti, void **pp)=0
| Set the void** to the pointer to the requested interface of the instance. More...
virtual | ~IInterface ()=default
| Virtual destructor. More...

## Additional Inherited Members
Public Types inherited from IInterface
enum | Status { SUCCESS = 1, NO_INTERFACE, VERSMISMATCH, LAST_ERROR }
| Return status. More...
using | iid = Gaudi::InterfaceId< IInterface, 0, 0 >
| Interface ID. More...
using | ext_iids = Gaudi::interface_list< iid >
| Extra interfaces. More...
Static Public Member Functions inherited from IInterface
static const InterfaceID & | interfaceID ()
| Return an instance of InterfaceID identifying the interface. More...

## Detailed Description

Definition of the IPublishSvc interface, which publishes variables to outside monitoring processes.

Author
  Beat Jost

Definition at line 15 of file IPublishSvc.h.

## Constructor & Destructor Documentation

virtual IPublishSvc::~IPublishSvc | ( |  | ) |
| virtual default

Virtual destructor.

## Member Function Documentation

IPublishSvc::DeclareInterfaceID | ( | IPublishSvc | ,
|  | 1 | ,
|  | 0 |
| ) |  |

InterfaceID.

virtual void IPublishSvc::declarePubItem | ( | const std::string & | name,
|  | const bool & | var
| ) |  |
| pure virtual

Declare publishing information.

Parameters

  name | Information name knwon to the external system
  var | address of the published entity

virtual void IPublishSvc::declarePubItem | ( | const std::string & | name,
|  | const int & | var
| ) |  |
| pure virtual

virtual void IPublishSvc::declarePubItem | ( | const std::string & | name,
|  | const long & | var
| ) |  |
| pure virtual

virtual void IPublishSvc::declarePubItem | ( | const std::string & | name,
|  | const double & | var
| ) |  |
| pure virtual

virtual void IPublishSvc::declarePubItem | ( | const std::string & | name,
|  | const std::string & | var
| ) |  |
| pure virtual

virtual void IPublishSvc::undeclarePubAll | ( |  | ) |
| pure virtual

Undeclare all publishing information.

virtual void IPublishSvc::undeclarePubItem | ( | const std::string & | name | ) |
| pure virtual

Undeclare publishing information.

Parameters

  name | publishing information name known to the external system

virtual void IPublishSvc::updateAll | ( |  | ) |
| pure virtual

Update all declared publishing items.

virtual void IPublishSvc::updateItem | ( | const std::string & | name | ) |
| pure virtual

Update pblishing information.

Parameters

  name | publishing information name known to the external system

The documentation for this class was generated from the following file:

- GaudiKernel/GaudiKernel/IPublishSvc.h